#!/usr/bin/bash

set -e

TARGET=
ZIP=XXX.zip

if [ ! -d "$HOME/.alephone/gamefiles/$TARGET" ]; then
    /usr/share/autodl/AutoDL.py /usr/share/AlephOne/$TARGET.autodlrc
    RET=$?
    # 0: download OK, user wants to start game
    # 2: download OK, user does not want to start game
    if [ "$RET" = "0" -o "$RET" = "2" ]; then
	cd $HOME/.alephone/gamefiles/
	unzip -u $ZIP
	rm -f $ZIP
    fi
    if [ "$RET" != "0" ]; then
	exit $RET
    fi
fi
exec /usr/bin/alephone "$HOME/.alephone/gamefiles/$TARGET"



